DevExtreme v25.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

JavaScript/jQuery Radio Group

The JavaScript RadioGroup component contains a set of radio buttons and allows users to select one item from it. This demo illustrates how to bind the component to data, change the component layout, define a custom template, and handle the value change event.

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the RadioGroup features used.
Backend API
$(() => { $('#radio-group-simple').dxRadioGroup({ items: priorities, value: priorities[0], }); $('#radio-group-disabled').dxRadioGroup({ items: priorities, value: priorities[1], disabled: true, }); $('#radio-group-change-layout').dxRadioGroup({ items: priorities, value: priorities[0], layout: 'horizontal', }); $('#radio-group-with-template').dxRadioGroup({ items: priorities, value: priorities[2], itemTemplate(itemData, _, itemElement) { itemElement .parent().addClass(itemData.toLowerCase()) .text(itemData); }, }); const radioGroup = $('#radio-group-with-selection').dxRadioGroup({ items: priorityEntities, valueExpr: 'id', displayExpr: 'text', onValueChanged(e) { $('#list').children().remove(); $.each(tasks, (i, item) => { if (item.priority === e.value) { $('#list').append($('<li/>').text(tasks[i].subject)); } }); }, }).dxRadioGroup('instance'); radioGroup.option('value', priorityEntities[0].id); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.3/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="form"> <div class="dx-fieldset"> <div class="dx-field"> <div class="dx-field-label">Default mode</div> <div class="dx-field-value"> <div id="radio-group-simple"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Disabled</div> <div class="dx-field-value"> <div id="radio-group-disabled"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Horizontal layout</div> <div class="dx-field-value"> <div id="radio-group-change-layout"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Custom item template</div> <div class="dx-field-value"> <div id="radio-group-with-template"></div> </div> </div> <div class="dx-field"> <div class="dx-field-label">Event handling</div> <div class="dx-field-value"> <div id="radio-group-with-selection"></div> </div> </div> </div> <div id="tasks-list"> Tasks by selected priority: <ul id="list"></ul> </div> </div> </div> </body> </html>
.low.dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot { background: gray; } .normal.dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot { background: green; } .urgent.dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot { background: orange; } .high.dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot { background: red; } #radio-group-with-selection { margin-bottom: 10px; } #tasks-list { margin: 0 0 10px 10px; white-space: normal; } #list { margin: 10px 0 0 20px; padding-left: 0; text-align: left; }
const priorities = ['Low', 'Normal', 'Urgent', 'High']; const priorityEntities = [ { id: 0, text: 'Low' }, { id: 1, text: 'Normal' }, { id: 2, text: 'Urgent' }, { id: 3, text: 'High' }, ]; const tasks = [{ subject: 'Choose between PPO and HMO Health Plan', priority: 3, }, { subject: 'Non-Compete Agreements', priority: 0, }, { subject: 'Comment on Revenue Projections', priority: 1, }, { subject: 'Sign Updated NDA', priority: 2, }, { subject: 'Submit Questions Regarding New NDA', priority: 3, }, { subject: 'Rollout of New Website and Marketing Brochures', priority: 3, }];

Bind JavaScript RadioGroup to Data

You can display JavaScript RadioGroup items from the items array or a dataSource. If your data is an array of objects, use the displayExpr and valueExpr properties. displayExpr specifies a data source field that contains button captions. valueExpr specifies a data source field that supplies values to the value property when users select a button. Leave valueExpr unspecified if you need to supply the entire data object to the value property.

Configure the Layout

The JavaScript RadioGroup supports horizontal (default for tablets) and vertical (default for other devices) layouts. To change the layout for all device types, specify the layout property.

Customize the Item Appearance

Define the itemTemplate to customize the item appearance. To customize an individual item, specify its template property.

Handle the Value Change Event

You can set the value property to one of the data source items to specify a predefined selection. Implement the onValueChanged function to handle value changes.

<template>
<div class="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">Default mode</div>
<div class="dx-field-value">
<DxRadioGroup
:items="priorities"
:value="priorities[0]"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Disabled</div>
<div class="dx-field-value">
<DxRadioGroup
:items="priorities"
:value="priorities[1]"
:disabled="true"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Horizontal layout</div>
<div class="dx-field-value">
<DxRadioGroup
:items="priorities"
:value="priorities[0]"
layout="horizontal"
/>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Custom item template</div>
<div class="dx-field-value">
<div id="radio-group-with-template">
<div :class="colorPriority.toLowerCase()">
<DxRadioGroup
:items="priorities"
v-model:value="colorPriority"
/>
</div>
</div>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Event handling</div>
<div class="dx-field-value">
<div id="radio-group-with-selection">
<DxRadioGroup
:items="priorityEntities"
value-expr="id"
display-expr="text"
:value="selectionPriority"
@valueChanged="changeSelectionPriority"
/>
</div>
</div>
</div>
</div>
<div id="tasks-list">
Tasks by selected priority:
<ul id="list">
<li
v-for="task in selectedTasks"
:key="task.id"
>{{ task.subject }}</li>
</ul>
</div>
</div>
</template>
<script setup lang="ts">
import { computed, ref } from 'vue';
import DxRadioGroup, { type DxRadioGroupTypes } from 'devextreme-vue/radio-group';
import { priorities, priorityEntities, tasks } from './data.ts';
const colorPriority = ref(priorities[2]);
const selectionPriority = ref(priorityEntities[0].id);
const selectedTasks = computed(
() => tasks.filter((task) => task.priority === selectionPriority.value),
);
function changeSelectionPriority(e: DxRadioGroupTypes.ValueChangedEvent) {
selectionPriority.value = e.value;
}
</script>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const priorities = ['Low', 'Normal', 'Urgent', 'High'];
export const priorityEntities = [
{ id: 0, text: 'Low' },
{ id: 1, text: 'Normal' },
{ id: 2, text: 'Urgent' },
{ id: 3, text: 'High' },
];
export const tasks = [{
id: 0,
subject: 'Choose between PPO and HMO Health Plan',
priority: 3,
}, {
id: 1,
subject: 'Non-Compete Agreements',
priority: 0,
}, {
id: 2,
subject: 'Comment on Revenue Projections',
priority: 1,
}, {
id: 3,
subject: 'Sign Updated NDA',
priority: 2,
}, {
id: 4,
subject: 'Submit Questions Regarding New NDA',
priority: 3,
}, {
id: 5,
subject: 'Rollout of New Website and Marketing Brochures',
priority: 3,
}];
import { createApp } from 'vue';
import themes from 'devextreme/ui/themes';
import App from './App.vue';
themes.initialized(() => createApp(App).mount('#app'));
.low .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: gray;
}
.normal .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: green;
}
.urgent .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: orange;
}
.high .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: red;
}
#radio-group-with-selection {
margin: 5px 0 10px;
}
#radio-group-with-template {
margin: 5px 0;
}
#tasks-list {
margin: 0 0 10px 10px;
white-space: normal;
}
#list {
margin: 10px 0 0 20px;
padding-left: 0;
text-align: left;
}
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

<div class="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">Default mode</div>
<div class="dx-field-value">
<dx-radio-group [items]="priorities" [value]="priorities[0]">
</dx-radio-group>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Disabled</div>
<div class="dx-field-value">
<dx-radio-group
[items]="priorities"
[value]="priorities[1]"
[disabled]="true"
>
</dx-radio-group>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Horizontal layout</div>
<div class="dx-field-value">
<dx-radio-group
[items]="priorities"
[value]="priorities[0]"
layout="horizontal"
>
</dx-radio-group>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Custom item template</div>
<div class="dx-field-value">
<dx-radio-group
[items]="priorities"
[(value)]="colorPriority"
[ngClass]="colorPriority.toLowerCase()"
>
<div *dxTemplate="let priority of 'item'">
<div>{{ priority }}</div>
</div>
</dx-radio-group>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">Event handling</div>
<div class="dx-field-value">
<dx-radio-group
id="radio-group-with-selection"
[items]="priorityEntities"
valueExpr="id"
displayExpr="text"
[(value)]="selectionPriorityId"
(onValueChanged)="onValueChanged($event)"
>
</dx-radio-group>
</div>
</div>
</div>
<div id="tasks-list">
Tasks by selected priority:
<ul id="list">
<li *ngFor="let data of currentData">
{{ data }}
</li>
</ul>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxRadioGroupModule, DxTemplateModule } from 'devextreme-angular';
import { DxRadioGroupTypes } from 'devextreme-angular/ui/radio-group';
import { PriorityEntity, Service, Task } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
})
export class AppComponent {
priorityEntities: PriorityEntity[];
selectionPriorityId: number;
colorPriority: string;
tasks: Task[];
currentData: string[] = [];
priorities = [
'Low',
'Normal',
'Urgent',
'High',
];
constructor(service: Service) {
this.tasks = service.getTasks();
this.priorityEntities = service.getPriorityEntities();
this.colorPriority = this.priorities[2];
this.currentData[0] = this.tasks[1].subject;
this.selectionPriorityId = this.priorityEntities[0].id;
}
onValueChanged({ value }: DxRadioGroupTypes.ValueChangedEvent) {
this.currentData = [];
this.tasks.forEach((item, index) => {
if (item.priority == value) {
this.currentData.push(this.tasks[index].subject);
}
});
}
}
@NgModule({
imports: [
BrowserModule,
DxRadioGroupModule,
DxTemplateModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .low .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: gray;
}
::ng-deep .normal .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: green;
}
::ng-deep .urgent .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: orange;
}
::ng-deep .high .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: red;
}
::ng-deep #radio-group-with-selection {
margin-bottom: 10px;
}
::ng-deep #tasks-list {
margin: 0 0 10px 10px;
white-space: normal;
}
::ng-deep #list {
margin: 10px 0 0 20px;
padding-left: 0;
text-align: left;
}
import { Injectable } from '@angular/core';
export class Task {
subject: string;
priority: number;
}
export class PriorityEntity {
id: number;
text: string;
}
const priorityEntities: PriorityEntity[] = [
{ id: 0, text: 'Low' },
{ id: 1, text: 'Normal' },
{ id: 2, text: 'Urgent' },
{ id: 3, text: 'High' },
];
const tasks: Task[] = [{
subject: 'Choose between PPO and HMO Health Plan',
priority: 3,
}, {
subject: 'Non-Compete Agreements',
priority: 0,
}, {
subject: 'Comment on Revenue Projections',
priority: 1,
}, {
subject: 'Sign Updated NDA',
priority: 2,
}, {
subject: 'Submit Questions Regarding New NDA',
priority: 3,
}, {
subject: 'Rollout of New Website and Marketing Brochures',
priority: 3,
}];
@Injectable()
export class Service {
getTasks(): Task[] {
return tasks;
}
getPriorityEntities(): PriorityEntity[] {
return priorityEntities;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@24.2.7/cjs',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'devextreme/bundles/dx.all': 'npm:devextreme@24.2.7/bundles/dx.all.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.16',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.16/package.json',
'npm:devexpress-gantt@4.1.60/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React, { useCallback, useState } from 'react';
import RadioGroup from 'devextreme-react/radio-group';
import type { RadioGroupTypes } from 'devextreme-react/radio-group';
import { priorities, priorityEntities, tasks } from './data.ts';
const renderCustomItem = (data: string) => <div>{data}</div>;
function App() {
const [colorPriority, setColorPriority] = useState(priorities[2]);
const [selectionPriority, setSelectionPriority] = useState(priorityEntities[0].id);
const changeColorPriority = useCallback((e: RadioGroupTypes.ValueChangedEvent) => {
setColorPriority(e.value);
}, [setColorPriority]);
const changeSelectionPriority = useCallback((e: RadioGroupTypes.ValueChangedEvent) => {
setSelectionPriority(e.value);
}, [setSelectionPriority]);
return (
<div className="form">
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">Default mode</div>
<div className="dx-field-value">
<RadioGroup items={priorities} defaultValue={priorities[0]} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Disabled</div>
<div className="dx-field-value">
<RadioGroup items={priorities} defaultValue={priorities[1]} disabled={true} />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Horizontal layout</div>
<div className="dx-field-value">
<RadioGroup items={priorities} defaultValue={priorities[0]} layout="horizontal" />
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Custom item template</div>
<div className="dx-field-value">
<RadioGroup
className={colorPriority.toLowerCase()}
items={priorities}
value={colorPriority}
itemRender={renderCustomItem}
onValueChanged={changeColorPriority}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Event handling</div>
<div className="dx-field-value">
<RadioGroup
id="radio-group-with-selection"
items={priorityEntities}
value={selectionPriority}
valueExpr="id"
displayExpr="text"
onValueChanged={changeSelectionPriority}
/>
</div>
</div>
</div>
<div id="tasks-list">
Tasks by selected priority:
<ul id="list">
{tasks
.filter((task) => task.priority === selectionPriority)
.map((task) => (
<li key={task.id}>{task.subject}</li>
))}
</ul>
</div>
</div>
);
}
export default App;
import React, { useCallback, useState } from 'react';
import RadioGroup from 'devextreme-react/radio-group';
import { priorities, priorityEntities, tasks } from './data.js';
const renderCustomItem = (data) => <div>{data}</div>;
function App() {
const [colorPriority, setColorPriority] = useState(priorities[2]);
const [selectionPriority, setSelectionPriority] = useState(priorityEntities[0].id);
const changeColorPriority = useCallback(
(e) => {
setColorPriority(e.value);
},
[setColorPriority],
);
const changeSelectionPriority = useCallback(
(e) => {
setSelectionPriority(e.value);
},
[setSelectionPriority],
);
return (
<div className="form">
<div className="dx-fieldset">
<div className="dx-field">
<div className="dx-field-label">Default mode</div>
<div className="dx-field-value">
<RadioGroup
items={priorities}
defaultValue={priorities[0]}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Disabled</div>
<div className="dx-field-value">
<RadioGroup
items={priorities}
defaultValue={priorities[1]}
disabled={true}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Horizontal layout</div>
<div className="dx-field-value">
<RadioGroup
items={priorities}
defaultValue={priorities[0]}
layout="horizontal"
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Custom item template</div>
<div className="dx-field-value">
<RadioGroup
className={colorPriority.toLowerCase()}
items={priorities}
value={colorPriority}
itemRender={renderCustomItem}
onValueChanged={changeColorPriority}
/>
</div>
</div>
<div className="dx-field">
<div className="dx-field-label">Event handling</div>
<div className="dx-field-value">
<RadioGroup
id="radio-group-with-selection"
items={priorityEntities}
value={selectionPriority}
valueExpr="id"
displayExpr="text"
onValueChanged={changeSelectionPriority}
/>
</div>
</div>
</div>
<div id="tasks-list">
Tasks by selected priority:
<ul id="list">
{tasks
.filter((task) => task.priority === selectionPriority)
.map((task) => (
<li key={task.id}>{task.subject}</li>
))}
</ul>
</div>
</div>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import themes from 'devextreme/ui/themes';
import App from './App.tsx';
themes.initialized(() => {
ReactDOM.render(
<App />,
document.getElementById('app'),
);
});
export const priorities = ['Low', 'Normal', 'Urgent', 'High'];
export const priorityEntities = [
{ id: 0, text: 'Low' },
{ id: 1, text: 'Normal' },
{ id: 2, text: 'Urgent' },
{ id: 3, text: 'High' },
];
export const tasks = [{
id: 0,
subject: 'Choose between PPO and HMO Health Plan',
priority: 3,
}, {
id: 1,
subject: 'Non-Compete Agreements',
priority: 0,
}, {
id: 2,
subject: 'Comment on Revenue Projections',
priority: 1,
}, {
id: 3,
subject: 'Sign Updated NDA',
priority: 2,
}, {
id: 4,
subject: 'Submit Questions Regarding New NDA',
priority: 3,
}, {
id: 5,
subject: 'Rollout of New Website and Marketing Brochures',
priority: 3,
}];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'demo-ts-shared': 'project:utils/demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import themes from 'devextreme/ui/themes';
import App from './App.js';
themes.initialized(() => {
ReactDOM.render(<App />, document.getElementById('app'));
});
export const priorities = ['Low', 'Normal', 'Urgent', 'High'];
export const priorityEntities = [
{ id: 0, text: 'Low' },
{ id: 1, text: 'Normal' },
{ id: 2, text: 'Urgent' },
{ id: 3, text: 'High' },
];
export const tasks = [
{
id: 0,
subject: 'Choose between PPO and HMO Health Plan',
priority: 3,
},
{
id: 1,
subject: 'Non-Compete Agreements',
priority: 0,
},
{
id: 2,
subject: 'Comment on Revenue Projections',
priority: 1,
},
{
id: 3,
subject: 'Sign Updated NDA',
priority: 2,
},
{
id: 4,
subject: 'Submit Questions Regarding New NDA',
priority: 3,
},
{
id: 5,
subject: 'Rollout of New Website and Marketing Brochures',
priority: 3,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.low .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: gray;
}
.normal .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: green;
}
.urgent .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: orange;
}
.high .dx-radiobutton-checked .dx-radiobutton-icon .dx-radiobutton-icon-dot {
background: red;
}
#radio-group-with-selection {
margin-bottom: 10px;
}
#tasks-list {
margin: 0 0 10px 10px;
white-space: normal;
}
#list {
margin: 10px 0 0 20px;
padding-left: 0;
text-align: left;
}